ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nate Cole (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-6214) Command <ambari-server upgradestack HDP-2.1> is broken
Date Fri, 20 Jun 2014 01:12:24 GMT
Nate Cole created AMBARI-6214:
---------------------------------

             Summary: Command <ambari-server upgradestack HDP-2.1> is broken
                 Key: AMBARI-6214
                 URL: https://issues.apache.org/jira/browse/AMBARI-6214
             Project: Ambari
          Issue Type: Bug
            Reporter: Nate Cole
            Assignee: Nate Cole
             Fix For: 1.6.1


While upgrading stack 2.0.6 -> stack 2.1.3, found this command failed:
{noformat}
[root@host ~]# ambari-server upgradestack HDP-2.1 --verbose
Using python  /usr/bin/python2.6
Upgrading stack of ambari-server
INFO: Loading properties from /etc/ambari-server/conf/ambari.properties
INFO: about to run command: yum repolist | grep "HDP-2.1 "
ERROR: Exiting with exit code 1.
REASON: Repository for HDP-2.1 is not existed
{noformat}

The grep check has a space at the end.  However, this check is invalid since, when run on
the server, the HDP repo likely wouldn't be available anyway.  The server script should not
make a repolist check.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message